package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.QosPolicy;

import java.util.List;

/**
 * qos policy service
 * 
 * @author ymh
 * @时间 2019年11月13日
 */
public interface QosPolicyService {

	/**
	 * 列表展示
	 *
	 * @param page
	 * @param rows
	 * @param params
	 * @param sorter
	 * @param simple
	 * @return
	 */
	public BocloudResult<GridBean<QosPolicy>> list(Pager pager, RequestContext context);

	/**
	 * 创建
	 *
	 * @param params
	 * @param user
	 * @return
	 */
	public BocloudResult<String> create(QosPolicy qosPolicy, RequestContext context);

	/**
	 * 修改
	 *
	 * @param bean
	 * @param userId
	 * @return
	 */
	public BocloudResult<String> modify(QosPolicy qosPolicy, Long userId);

	/**
	 * 删除
	 *
	 * @param id
	 * @param params
	 * @param user
	 * @return
	 */
	public BocloudResult<String> remove(Long id, RequestContext context);

	/**
	 * 详情
	 *
	 * @param id
	 * @return
	 */
	public BocloudResult<QosPolicy> detail(Long id);

	public BocloudResult<String> batchRemove(List<Long> idArray, RequestContext context);

	public BocloudResult<List<QosPolicy>> condition(String condition, RequestContext context);

}
